<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
          integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <link rel="shortcut icon" href="{{ url_for('static', filename='favicon.ico') }}">

    <title>Graphene home</title>

    <style>
    body {font-family: "Lato", sans-serif}
    .mySlides {display: none}
    </style>
  </head>

  <body>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
            integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
            integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
            crossorigin="anonymous"></script>

    <nav class="navbar navbar-expand-lg sticky-top navbar-light bg-light">
      <a class="navbar-brand" href="#">Home</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText"
              aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation" >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarText">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a class="nav-link" href="https://gitlab.com/ita-ml/graphene" target="_blank">Repository
              <span class="sr-only">(current)</span>
            </a>
          </li>
          <li class="nav-item active">
            <a class="nav-link" href="https://gitlab.com/ita-ml/instance-hardness" target="_blank">PyHard</a>
          </li>
          <li class="nav-item active">
            <a class="nav-link" href="https://matilda.unimelb.edu.au/matilda/" target="_blank">
              Matilda
            </a>
          </li>
        </ul>
        <span class="navbar-text disabled">
          <a class="nav-link" href="mailto:contact@pytech.eng.br">contact us</a>
        </span>
      </div>
    </nav>

    <div class="jumbotron px-5">
      <h1 class="display-4">Graphene</h1>
      <p class="lead">
          Visualizing algorithms' strengths and weakness in a dataset through <a data-toggle="modal"
                                                                                 data-target="#exampleModal"
                                                                                 href="">
          Instance Space Analysis</a>.
      </p>
      <hr class="my-4">
      <p>
        <i>Graphene</i> is an <b>analytical tool</b> designed to assist the understanding of the <b>difficulty level of
        individual instances</b> (<i>Instance Hardness</i>) in a dataset and also to trace regions where each algorithm
        is expected to perform well.
      </p>
    </div>

    <div class="card-deck mx-4 my-5">
      <div class="card text-center">
        <div class="card-body">
          <h5 class="card-title">Demo Mode</h5>
          <p class="card-text">Within this page you can visualize simple datasets and interact with their instance
            space representation. The 2D problems help to get insight into each hardness measure.</p>
        </div>
        <div class="card-footer bg-transparent">
            <a class="btn btn-dark" href="demo" role="button">Try it</a>
          </div>
        </div>
      <div class="card text-center">
        <div class="card-body">
          <h5 class="card-title">Graphene App</h5>
          <p class="card-text">Explore the full power of the tool to analyze your own dataset. You can select points
            of high difficulty and download the corresponding instances. The <i>footprint</i> area helps you visualizing
            regions where an algorithm performed well or poorly.</p>
        </div>
        <div class="card-footer bg-transparent">
            <a class="btn btn-dark" href="app" role="button">Launch</a>
        </div>
      </div>
      <div class="card text-center">
        <div class="card-body">
          <h5 class="card-title">Settings</h5>
          <p class="card-text">Configure each step of the process, like <i>hyper-parameter optimization</i> for a better
            algorithm performance assessment; or <i>feature selection</i> to filter the best meta features. You can also
            choose which <i>hardness measures</i> to calculate and which algorithms to evaluate.</p>
        </div>
        <div class="card-footer bg-transparent">
            <a class="btn btn-dark" href="config" role="button">Configure</a>
        </div>
      </div>
    </div>

    <!-- Button trigger modal -->
<!--    <div class="container-fluid my-5 pl-5">-->
<!--      {% if dis %}-->
<!--      <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" disabled>-->
<!--        Launch demo modal-->
<!--      </button>-->
<!--      {% else %}-->
<!--      <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">-->
<!--        Launch demo modal-->
<!--      </button>-->
<!--      {% endif %}-->
<!--    </div>-->

    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Instance Space Analysis</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p align="justify">
                ISA gives insights into why some instances are "harder" than
                others, combining the information of meta-features and algorithm performance. To this end, an
                optimization problem is solved to find the mapping from the meta-features
                multidimensional space into a 2-D space, such that the distribution of algorithm performance metrics
                and meta-feature values across instances in the 2-D space display as much linear trend as possible to
                assist interpretation of hardness directions. The 2-D space can then be inspected for regions of good
                and bad algorithmic performance, with ML techniques used to predict areas of strength known as the
                <i>algorithm footprint</i>.
            </p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Got it!</button>
<!--            <button type="button" class="btn btn-primary">Save changes</button>-->
          </div>
        </div>
      </div>
    </div>

    <div class="bd-title mx-4">
        <h2>
            References
        </h2>
    </div>

    </body>
</html>
